> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/boolean-operators.md).

# Boolean operators

You can combine the filtering operators using Boolean operators. Combining Boolean operators results in a logical binary tree of possibilities. Because the binary tree is not easy to read, the `ViewConfig` provides a way of specifying a `Named Logical Array`.

{% tabs %}
{% tab title="JSON" %}

```json
"Filter": {
          "AND": [
            { "Field": { "name": "domainId", "operator": "EQUALS", "value": "02204077-1cd1-4c70-a7c4-4cd845194b81" } },
            { "Field": { "name": "assetId", "operator": "EXISTS", "value": "00000000-0000-0000-0000-000000007001", "target": "RelationSource" } },
            { "Field": { "name": "statusName", "operator": "IN", "values": [ "New", "In Review" ] } }
          ]
        }
```

{% endtab %}

{% tab title="YAML" %}

```yaml
Filter:
  AND:
  -
    Field:
      name: "domainId"
      operator: "EQUALS"
      value: "02204077-1cd1-4c70-a7c4-4cd845194b81"
  -
    Field:
      name: "assetId"
      operator: "EXISTS"
      value: "00000000-0000-0000-0000-000000007001"
      target: "RelationSource"
  -
    Field:
      name: "statusName"
      operator: "IN"
      values:
      - "New"
      - "In Review"
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Filtering elements bundled together in a named array, are logically combined using the name of the array: either `AND` or `OR`. You can also nest these logical arrays, allowing all possible Boolean combinations.
{% endhint %}

{% tabs %}
{% tab title="JSON" %}

```json
"Filter": {
  "AND": [
    {
      "OR": [
        { "Field": { "name": "domainId", "operator": "EQUALS", "value": "02204077-1cd1-4c70-a7c4-4cd845194b81" } },
        { "Field": { "name": "assetId", "operator": "EXISTS", "value": "00000000-0000-0000-0000-000000007001", "target": "RelationSource" } }
      ]
    },
    { "Field": { "name": "statusName", "operator": "IN", "values": [ "New", "In Review" ] } }
  ]
}
```

{% endtab %}

{% tab title="YAML" %}

```yaml
Filter:
  AND:
  -
    OR:
    -
      Field:
        name: "domainId"
        operator: "EQUALS"
        value: "02204077-1cd1-4c70-a7c4-4cd845194b81"
    -
      Field:
        name: "assetId"
        operator: "EXISTS"
        value: "00000000-0000-0000-0000-000000007001"
        target: "RelationSource"
  -
    Field:
      name: "statusName"
      operator: "IN"
      values:
      - "New"
      - "In Review"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/boolean-operators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
